nxt

## Class Attachment.ColoredCoinsAssetProperty

- java.lang.Object
- - nxt.Appendix.AbstractAppendix
  - - nxt.Attachment.AbstractAttachment
    - - nxt.Attachment.ColoredCoinsAssetProperty

- All Implemented Interfaces:
    Appendix, Attachment
  Enclosing interface:
    Attachment

      public static final class Attachment.ColoredCoinsAssetProperty
      extends Attachment.AbstractAttachment

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nxt.Attachment

      `Attachment.AbstractAttachment, Attachment.AbstractShufflingAttachment, Attachment.AccountControlEffectiveBalanceLeasing, Attachment.ColoredCoinsAskOrderCancellation, Attachment.ColoredCoinsAskOrderPlacement, Attachment.ColoredCoinsAssetDelete, Attachment.ColoredCoinsAssetIncrease, Attachment.ColoredCoinsAssetIssuance, Attachment.ColoredCoinsAssetProperty, Attachment.ColoredCoinsAssetPropertyDelete, Attachment.ColoredCoinsAssetQuantity, Attachment.ColoredCoinsAssetTransfer, Attachment.ColoredCoinsBidOrderCancellation, Attachment.ColoredCoinsBidOrderPlacement, Attachment.ColoredCoinsDividendPayment, Attachment.ColoredCoinsOrderCancellation, Attachment.ColoredCoinsOrderPlacement, Attachment.DigitalGoodsDelisting, Attachment.DigitalGoodsDelivery, Attachment.DigitalGoodsFeedback, Attachment.DigitalGoodsListing, Attachment.DigitalGoodsPriceChange, Attachment.DigitalGoodsPurchase, Attachment.DigitalGoodsQuantityChange, Attachment.DigitalGoodsRefund, Attachment.EmptyAttachment, Attachment.MessagingAccountInfo, Attachment.MessagingAccountProperty, Attachment.MessagingAccountPropertyDelete, Attachment.MessagingAliasAssignment, Attachment.MessagingAliasBuy, Attachment.MessagingAliasDelete, Attachment.MessagingAliasSell, Attachment.MessagingHubAnnouncement, Attachment.MessagingPhasingVoteCasting, Attachment.MessagingPollCreation, Attachment.MessagingVoteCasting, Attachment.MonetarySystemAttachment, Attachment.MonetarySystemCurrencyDeletion, Attachment.MonetarySystemCurrencyIssuance, Attachment.MonetarySystemCurrencyMinting, Attachment.MonetarySystemCurrencyTransfer, Attachment.MonetarySystemExchange, Attachment.MonetarySystemExchangeBuy, Attachment.MonetarySystemExchangeSell, Attachment.MonetarySystemPublishExchangeOffer, Attachment.MonetarySystemReserveClaim, Attachment.MonetarySystemReserveIncrease, Attachment.PropertyDeleteAttachment, Attachment.SetPhasingOnly, Attachment.ShufflingAttachment, Attachment.ShufflingCancellation, Attachment.ShufflingCreation, Attachment.ShufflingProcessing, Attachment.ShufflingRecipients, Attachment.ShufflingRegistration, Attachment.ShufflingVerification, Attachment.TaggedDataAttachment, Attachment.TaggedDataExtend, Attachment.TaggedDataUpload, Attachment.UnencryptedDigitalGoodsDelivery`

    - ### Nested classes/interfaces inherited from interface nxt.Appendix

      `Appendix.AbstractAppendix, Appendix.AbstractEncryptedMessage, Appendix.Encryptable, Appendix.EncryptedMessage, Appendix.EncryptToSelfMessage, Appendix.Message, Appendix.Phasing, Appendix.Prunable, Appendix.PrunableEncryptedMessage, Appendix.PrunablePlainMessage, Appendix.PublicKeyAnnouncement, Appendix.UnencryptedEncryptedMessage, Appendix.UnencryptedEncryptToSelfMessage, Appendix.UnencryptedPrunableEncryptedMessage`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StringRw` | `PROPERTY_NAME_RW`
    `static StringRw` | `PROPERTY_VALUE_RW`

    - ### Fields inherited from interface nxt.Attachment

      `ARBITRARY_MESSAGE, ORDINARY_PAYMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColoredCoinsAssetProperty(java.nio.ByteBuffer buffer, byte transactionVersion)`
    `ColoredCoinsAssetProperty(org.json.simple.JSONObject attachmentData)`
    `ColoredCoinsAssetProperty(long assetId, java.lang.String property, java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAssetId()`
    `java.lang.String` | `getProperty()`
    `TransactionType` | `getTransactionType()`
    `java.lang.String` | `getValue()`

    - ### Methods inherited from class nxt.Attachment.AbstractAttachment

      `getBaselineFee, getBaselineFeeHeight, getNextFee, getNextFeeHeight`

    - ### Methods inherited from class nxt.Appendix.AbstractAppendix

      `getFullSize, getJSONObject, getSize, getVersion, isPhased, putBytes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.Appendix

      `getFullSize, getJSONObject, getSize, getVersion, hasAppendix, isPhased, putBytes`

- - ### Field Detail

    - #### PROPERTY_NAME_RW

          public static final StringRw PROPERTY_NAME_RW

    - #### PROPERTY_VALUE_RW

          public static final StringRw PROPERTY_VALUE_RW

  - ### Constructor Detail

    - #### ColoredCoinsAssetProperty

          public ColoredCoinsAssetProperty(java.nio.ByteBuffer buffer,
                                           byte transactionVersion)
                                    throws NxtException.NotValidException

      Throws:
        `NxtException.NotValidException`

    - #### ColoredCoinsAssetProperty

          public ColoredCoinsAssetProperty(org.json.simple.JSONObject attachmentData)

    - #### ColoredCoinsAssetProperty

          public ColoredCoinsAssetProperty(long assetId,
                                           java.lang.String property,
                                           java.lang.String value)

  - ### Method Detail

    - #### getTransactionType

          public TransactionType getTransactionType()

    - #### getAssetId

          public long getAssetId()

    - #### getProperty

          public java.lang.String getProperty()

    - #### getValue

          public java.lang.String getValue()